Skip to main content

STU3 Encounter

The Encounter resource provides an "interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.". HL7 FHIR STU3 Encounter

Supported Profiles​

This API supports the following FHIR profiles:

Operations​

The Certified API Encounter resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED-Yes-Yes
myAvatar-Yes-Yes
myEvolv-Yes-Yes
myUnity-Yes-Yes
info

Not all Netsmart solutions support Encounter search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters​

NameTypeDescription
patientreferenceREQUIRED The patient or group present at the encounter

Search Examples​

Via POST​

The POST method is recommended as it keeps health information out of the URL.

Search Visit by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/Encounter/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/234"
Via GET​
Search Visit by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/Encounter?patient=Patient/234" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"